QGIS Application - Bug report #8264
error when trying to load a layer that wasn't actually created
2013-07-11 01:55 AM - Filipe Dias

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17068
Description

v.clean works correctly with the attached shp (threshold = 0, snap = 0). The cleaned shapefile is added but an error related to the error
layer is shown.

History

#1 - 2013-07-11 06:01 AM - Giovanni Manghi

with threshold = 0 the error layer is (should be) empty, so you get the error if using a different value?

#2 - 2013-07-11 06:21 AM - Filipe Dias

Yes, you are right. If the threshold is set to >0 (which it should always be) no error occurs.

#3 - 2013-07-23 02:24 AM - Giovanni Manghi

- Subject changed from v.clean doesnt create the error layer to error when trying to load a layer that wasn't actually created

- Category changed from 59 to 63
- Priority changed from Normal to Low

The issue is more general, any time a module that is "supposed" to create a layer but is does not, then SEXTANTE throws this error because it can't open

it. Examples:

v.clean -> if there are no errors to clean, then GRASS does not create any error layer

r fillnulls -> if there are no nulls to fill, no output is created

#4 - 2013-07-23 02:43 AM - Filipe Dias

- Priority changed from Low to Normal

Maybe a general message should thrown when this happens, such as "The execution of the algorithm didnt produce any shapefiles".

For v.clean r.fillnulls maybe tool-specific warnings should be added. Unexperienced users may interpret the error/warning message as bugs or that there's

something else wrong.
#5 - 2013-10-13 02:26 AM - Filipe Dias
- Priority changed from Normal to Severe/Regression

This is a complex but important issue that should be addressed in the next version. Returning a "could not load layer" error sounds too much like a bug.

IMO,the best way to deal with this is to set a general message saying "This algorithm didn't produce any outputs. Please make sure you chose the right

parameters. If you have any questions please refer to GIS Stackexchange"

#6 - 2014-06-09 05:58 AM - Giovanni Manghi
- Priority changed from Severe/Regression to High

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so | don't think that even a huge

issue should block a qgis release.

#7 - 2014-10-04 12:08 PM - Giovanni Manghi
- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application
- Category deleted (63)

- Crashes QGIS or corrupts data set to No

#8 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#9 - 2015-06-07 01:18 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to fixed/implemented

The error message has been improved recently. Moreover in GRASS 7/v.clean the error layer is always created now (even if empty).

Files

test.zip 4.03 MB 2013-07-10 Filipe Dias
